Bug 891191 - nodejs-fstream-ignore - A thing for ignoring files based on globs
nodejs-fstream-ignore - A thing for ignoring files based on globs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 891192
  Show dependency treegraph
 
Reported: 2013-01-02 03:19 EST by T.C. Hollingsworth
Modified: 2013-04-05 19:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 19:45:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhroncok: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-01-02 03:19:48 EST
Spec: http://patches.fedorapeople.org/npm/nodejs-fstream-ignore.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-fstream-ignore-0.0.5-2.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4830977
FAS username: patches

A thing for ignoring files based on globs.

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.
Comment 1 T.C. Hollingsworth 2013-01-10 02:33:03 EST
Updated with empty %build sections and other issues found in various reviews.

Spec: http://patches.fedorapeople.org/npm/nodejs-fstream-ignore.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-fstream-ignore-0.0.5-3.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4854315
Comment 2 Miro Hrončok 2013-01-17 01:44:38 EST
TODO: Longer Description.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces.

$ rpmlint ../SRPMS/nodejs-fstream-ignore-0.0.5-3.fc18.src.rpm ../RPMS/noarch/nodejs-fstream-ignore-0.0.5-3.fc18.noarch.rpm
nodejs-fstream-ignore.noarch: W: only-non-binary-in-usr-lib
nodejs-fstream-ignore.noarch: W: dangling-symlink /usr/lib/node_modules/fstream-ignore/node_modules/inherits /usr/lib/node_modules/inherits
nodejs-fstream-ignore.noarch: W: dangling-symlink /usr/lib/node_modules/fstream-ignore/node_modules/minimatch /usr/lib/node_modules/minimatch
nodejs-fstream-ignore.noarch: W: dangling-symlink /usr/lib/node_modules/fstream-ignore/node_modules/fstream /usr/lib/node_modules/fstream
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Symlinks OK, package requires npm(minimatch), npm(inherits), npm(fstream)

All false positives. OK

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
MUST: The License field in the package spec file must match the actual license.

$ grep -r MIT .
$ grep -r granted .

FIX: Explain, where does the information come from.

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

$ sha256sum ../SOURCES/fstream-ignore-0.0.5.tgz 
68e284b92d298e39d66085149645fef738b10af19bf96fe95ae74fea9a06c17a  ../SOURCES/fstream-ignore-0.0.5.tgz
$ spectool -g nodejs-fstream-ignore.spec 
Getting http://registry.npmjs.org/fstream-ignore/-/fstream-ignore-0.0.5.tgz to ./fstream-ignore-0.0.5.tgz
$ sha256sum fstream-ignore-0.0.5.tgz 
68e284b92d298e39d66085149645fef738b10af19bf96fe95ae74fea9a06c17a  fstream-ignore-0.0.5.tgz

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. OK, build in mock
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: A package must own all directories that it creates. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly.

$ rpm -q -lv -p ../RPMS/noarch/nodejs-fstream-ignore-0.0.5-3.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 led 17 07:33 /usr/lib/node_modules/fstream-ignore
-rw-r--r--    1 root    root                     7471 bře 27  2012 /usr/lib/node_modules/fstream-ignore/ignore.js
drwxr-xr-x    2 root    root                        0 led 17 07:33 /usr/lib/node_modules/fstream-ignore/node_modules
lrwxrwxrwx    1 root    root                       29 led 17 07:33 /usr/lib/node_modules/fstream-ignore/node_modules/fstream -> /usr/lib/node_modules/fstream
lrwxrwxrwx    1 root    root                       30 led 17 07:33 /usr/lib/node_modules/fstream-ignore/node_modules/inherits -> /usr/lib/node_modules/inherits
lrwxrwxrwx    1 root    root                       31 led 17 07:33 /usr/lib/node_modules/fstream-ignore/node_modules/minimatch -> /usr/lib/node_modules/minimatch
-rw-r--r--    1 root    root                      532 bře 27  2012 /usr/lib/node_modules/fstream-ignore/package.json
drwxr-xr-x    2 root    root                        0 led 17 07:33 /usr/share/doc/nodejs-fstream-ignore-0.0.5
-rw-r--r--    1 root    root                      621 bře 22  2012 /usr/share/doc/nodejs-fstream-ignore-0.0.5/README.md
drwxr-xr-x    2 root    root                        0 led 17 07:33 /usr/share/doc/nodejs-fstream-ignore-0.0.5/example
-rw-r--r--    1 root    root                      351 bře 23  2012 /usr/share/doc/nodejs-fstream-ignore-0.0.5/example/basic.js

OK

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

TODO: Query upstream to include LICENSE. Don't forget to redownload the source, as Isaac seems to not worry about bumping the version number for that.

SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK

TODO: Testy test... don't want to repeat myself.

Package NEEDSWORK: Correct the license thing.
Comment 3 Miro Hrončok 2013-01-17 01:48:07 EST
BTW Do you have any idea why half of his modules is MIT and half BSD?
Comment 4 T.C. Hollingsworth 2013-01-17 01:54:33 EST
Bug filed w/r/t license:
https://github.com/isaacs/fstream-ignore/issues/6

(In reply to comment #3)
> BTW Do you have any idea why half of his modules is MIT and half BSD?

Well, only isaacs knows for sure, but the MIT license used by npm has an additional clause prohibiting false attributions.  The BSD license has some language to that effect, so maybe he decided he liked it better?
Comment 6 T.C. Hollingsworth 2013-01-26 15:13:52 EST
Ping?  Don't mean to be a bother but I'm getting yelled at for having missing deps in Rawhide.  ;-)
Comment 7 Miro Hrončok 2013-01-27 07:36:15 EST
Feel free to ping me, I foget this one. Sorry.

License issue fixed.

APPROVED.
Comment 8 T.C. Hollingsworth 2013-01-27 22:55:43 EST
New Package SCM Request
=======================
Package Name: nodejs-fstream-ignore
Short Description: A file stream object that can ignore files by globs
Owners: patches
Branches: f18 el6
InitialCC:
Comment 9 Jon Ciesla 2013-01-28 08:33:09 EST
Git done (by process-git-requests).
Comment 10 T.C. Hollingsworth 2013-01-28 19:45:51 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=4909971
Comment 11 Fedora Update System 2013-01-28 20:26:43 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, node-gyp-0.8.2-3.fc18, nodejs-tar-0.1.14-3.fc18, npm-1.2.1-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-semver-1.1.2-1.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-fstream-ignore-0.0.5-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0775/npm-1.2.1-2.fc18,nodejs-abbrev-1.0.4-2.fc18,nodejs-ansi-0.1.2-4.fc18,nodejs-async-0.1.22-3.fc18,nodejs-glob-3.1.14-2.fc18,nodejs-inherits-1.0.0-6.fc18,nodejs-graceful-fs-1.1.14-2.fc18,nodejs-minimatch-0.2.9-2.fc18,nodejs-mkdirp-0.3.4-2.fc18,nodejs-mute-stream-0.0.3-3.fc18,nodejs-read-1.0.4-4.fc18,nodejs-read-installed-0.0.4-2.fc18,nodejs-read-package-json-0.1.12-2.fc18,nodejs-retry-0.6.0-2.fc18,nodejs-rimraf-2.1.1-2.fc18,nodejs-slide-1.1.3-4.fc18,nodejs-uid-number-0.0.3-4.fc18,nodejs-sigmund-1.0.0-2.fc18,nodejs-osenv-0.0.3-2.fc18,nodejs-nopt-2.0.0-3.fc18,nodejs-lru-cache-2.2.1-2.fc18,nodejs-mime-1.2.7-2.fc18,nodejs-init-package-json-0.0.7-3.fc18,nodejs-fstream-0.1.21-3.fc18,nodejs-delayed-stream-0.0.5-2.fc18,nodejs-proto-list-1.2.2-2.fc18,nodejs-npm-registry-client-0.2.11-2.fc18,nodejs-form-data-0.0.6-2.fc18,nodejs-which-1.0.5-4.fc18,nodejs-chownr-0.0.1-6.fc18,nodejs-opts-1.2.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,nodejs-once-1.1.1-2.fc18,nodejs-lockfile-0.2.1-2.fc18,nodejs-ini-1.0.5-2.fc18,nodejs-couch-login-0.1.15-2.fc18,nodejs-archy-0.0.2-5.fc18,nodejs-block-stream-0.0.6-4.fc18,nodejs-config-chain-1.1.3-3.fc18,nodejs-fstream-npm-0.1.3-2.fc18,nodejs-npmconf-0.0.16-3.fc18,nodejs-npmlog-0.0.2-2.fc18,nodejs-charm-0.1.0-1.fc18,node-gyp-0.8.2-3.fc18,nodejs-tar-0.1.14-3.fc18,nodejs-opener-1.3.0-4.fc18,nodejs-semver-1.1.2-1.fc18,nodejs-tobi-cookie-0.3.2-2.fc18,nodejs-fstream-ignore-0.0.5-4.fc18
Comment 12 Fedora Update System 2013-04-05 19:17:41 EDT
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.